/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BOOGERWIDGET_H
#define BOOGERWIDGET_H

// Qt includes
#include <QWidget>
#include <QMap>
#include <QPushButton>

// Qt Classes
class QRadioButton;
class QKeyEvent;
class QPushButton;

// Local classes
class BoogerSpinBox;

class BoogerWidget : public QWidget
{
    Q_OBJECT

public:
    explicit BoogerWidget(QWidget *parent, int booger, int boogersPerRound, int boogerScore);
    int score(int pair);
    void setScore(int pair1Score, int pair2Score);

signals:
    void enterPressed();

public slots:
    void abortRound(int state);

private slots:
    void toggleScore();
    void emitEnterPressed();
    void setBoogerAborted();

private: // Variables
    int m_boogerScore;
    QMap<int, BoogerSpinBox *> m_score;
    QMap<int, QRadioButton *> m_booger;
    QPushButton *m_boogerAborted;

};

#endif // BOOGERWIDGET_H
