/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Local includes
#include "GridDelegate.h"

// Qt includes
#include <QPainter>

GridDelegate::GridDelegate(QObject *parent, HighlightMode highlightMode)
    : QItemDelegate(parent), m_highlightMode(highlightMode)
{
}

void GridDelegate::paint(QPainter *painter, const QStyleOptionViewItem &option,
                         const QModelIndex &index) const
{
    QItemDelegate::paint(painter, option, index);

    if (index.row() == 0) {
        return;
    }

    if (m_highlightMode == HighlightMode::evenRows) {
        if (index.row() % 2 != 0) {
            return;
        }
    }

    painter->setPen(QColor(170, 170, 170));
    painter->drawLine(option.rect.topLeft(), option.rect.topRight());
}
