/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef NEWTOURNAMENTDIALOG_H
#define NEWTOURNAMENTDIALOG_H

// Qt includes
#include <QDialog>

// Local Classes
class Database;

// Qt classes
class QLabel;
class QDialogButtonBox;
class QRadioButton;
class QSpinBox;

class NewTournamentDialog : public QDialog
{
    Q_OBJECT

public:
    explicit NewTournamentDialog(QWidget *parent, Database *db);

private: // Functions
    void chooseFileName();
    void createNewTournament();

private: // Variables
    Database *m_db;
    QLabel *m_fileNameLabel;
    QDialogButtonBox *m_buttonBox;
    QString m_fileName;
    QRadioButton *m_fixedPairs;
    QRadioButton *m_singlePlayers;
    QSpinBox *m_boogerScore;
    QSpinBox *m_boogersPerRound;

};

#endif // NEWTOURNAMENTDIALOG_H
