/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TIMELABEL_H
#define TIMELABEL_H

// Qt includes
#include <QLabel>

class TimeLabel : public QLabel
{

public:
    explicit TimeLabel(QWidget *parent = 0);
    void resizeText();
    void setSeconds(qint64 seconds);
    qint64 seconds() const;

protected:
    virtual void resizeEvent(QResizeEvent *event);

private:
    qint64 m_seconds;
    bool m_displayIsRed = false;

};

#endif // TIMELABEL_H
