/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TOURNAMENTINFODIALOG_H
#define TOURNAMENTINFODIALOG_H

// Qt includes
#include <QDialog>

// Local Classes
class Database;

// Qt classes
class QVBoxLayout;
class QGridLayout;

class TournamentInfoDialog : public QDialog
{
    Q_OBJECT

public:
    explicit TournamentInfoDialog(QWidget *parent, Database *db);

private: // Functions
    void addGroup(QString text);
    void addLabel(QString text);
    void addInfo(QString text, bool wordWrap = false);

private: // Variables
    Database *m_db;
    QVBoxLayout *m_mainLayout;
    QGridLayout *m_groupLayout;
    int m_row;

};

#endif // TOURNAMENTINFODIALOG_H
